<?php

/**
 * Provides general functions with no special category
 *
 * $Id: functions.general.php 166 2007-04-16 08:33:54Z rbott $
 *
 * @package ZoneAdmin
 * @author Rudolph Bott
 * @version 0.1
 * @copyright Rudolph Bott
 * @license http://www.gnu.org/licenses/gpl.html GNU General Public License
 */


//nuetzliche funktionen fuer die history

/**
 * translates a string to current selected language
 *
 * 
 * @param string $string the string-identifier
 * @return string the localized value
 * @author Rudolph Bott
 * @copyright Copyright 2007, Rudolph Bott
 * @version V1.0
*/


function translate($string) {
  global $tpl;
  $result = "";

  $result = $tpl->get_config_vars($string);
  return $result;
}


/**
 * adds the given number of zeros to
 * $number (unless $number has already
 * more digits than $digits)
 * 
 * @param mixed $number the number
 * @param integer $digits zerofill
 * @return string $number + leading zeroes (if any)
 * @author Rudolph Bott
 * @copyright Copyright 2007, Rudolph Bott
 * @version V1.0
*/

function addzeros($number,$digits) {
  return str_pad($number, $digits, "0", STR_PAD_LEFT);
}
?>
